<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Data Profile</title>
    <style type="text/css">
        .card{
            background-color: #ffffff;
            padding: 0px;
            border-radius: 10px;

        }
        .card-content{
            background-color: #f49c6c;
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
            border-bottom-left-radius: 20px;
            border-bottom-right-radius: 20px;
            padding: 12px;
            text-align: center;
        }

        .card-body{
            padding: 15px;
        }

        .txt-profile{
            font-family: 'DejaVu Sans', Arial, Helvetica, sans-serif;
            color: white;
        }

        .card-body-content{
            text-align: center;
            padding: 5px;
        }

        .bt-edit{
            width: 220px;
            background-color: #f49c6c;
            border: 2px solid white;
            color: white;
            border-radius: 15px;
            padding: 5px;
            font-family: 'DejaVu Sans', Arial, Helvetica, sans-serif;
            font-size: 12px;
        }

        .txt-title{
            color: #292928;
        }
        .txt-warning{
            color: red;
            font-size: 10px;
        }
        .ohide {
            display: none;
        }
    </style>
</head>
<body>
<section layout:fragment="main" class="content">
    <div class="breadcomb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="breadcomb-list">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-wp">
                                    <div class="breadcomb-icon">
                                        <i class="notika-icon notika-form"></i>
                                    </div>
                                    <div class="breadcomb-ctn">
                                        <h2>Request Cicilan</h2>
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-report">
                                    <a th:href="@{/studentBill/payment/form(tagihan = ${bill.id})}">
                                        <button class="btn btn-primary"><i class="fa fa-arrow-circle-left"></i> Kembali</button>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-md-5 col-xs-12">
                <div class="normal-table-list mg-t-30">
                    <div class="basic-tb-hd">
                        <h2>Informasi Tagihan</h2>
                    </div>
                    <div class="bsc-tbl-st">
                        <table class="table table-striped">
                            <tr>
                                <td> Jenis Tagihan </td>
                                <td class="text-center"> : </td>
                                <td th:text="${bill.nilaiJenisTagihan.jenisTagihan.nama}"></td>
                            </tr>
                            <tr>
                                <td> Jumlah Cicilan </td>
                                <td class="text-center"> : </td>
                                <td th:text="${'Rp. ' + #numbers.formatDecimal(bill.nilaiTagihan, 0, 'POINT', 2, 'COMMA')}"></td>
                            </tr>
                            <tr>
                                <td> Tanggal Pembuatan Tagihan </td>
                                <td class="text-center"> : </td>
                                <td th:text="${#temporals.format(bill.tanggalPembuatan, 'dd - MMM - yyyy')}"></td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
            <div class="col-md-7 col-xs-12">
                <div class="ongoing-task-inner notika-shadow mg-t-30">

                    
                    <div class="">
                        <div class=" ongoing-hd-wd">
                            <div class="row">
                                <div class="col-md-4 col-xs-12">
                                    <div class="form-group" >
                                        <div th:if="${jumlahFile == 0}">
                                            <h4>Masukkan Berkas Pendukung terlebih dahulu. </h4>
                                        </div>
                                        <div th:if="${jumlahFile != 0}">
                                            <form method="post" th:action="@{/studentBill/requestCicilan/cicil}">
                                                <input type="hidden" name="tagihan" th:value="${bill.id}">
                                                <div class="form-group">
                                                    <label >Berapa banyak cicilan</label>
                                                    <div th:if="${custom == null}">
                                                        <input type="number" class="form-control" name="jumlah" required th:value="${jumlah}" max="3">
                                                    </div>
                                                    <div th:if="${custom != null}">
                                                        <input type="number" class="form-control" name="jumlah" step="1" required th:value="${jumlah}" oninput="format(this)">
                                                    </div>
                                                </div>
                                                <div class="form-group" th:if="${custom != null}">
                                                    <label >Selang waktu jatuh tempo cicilan</label>
                                                    <input type="number" name="interval" class="form-control" th:value="${interval}" placeholder="Month" max="3">
                                                </div>
                                                <button type="submit" class="btn btn-success">Tambah Cicilan <i size="50" class="fa fa-plus-circle"></i></button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 col-xs-12">
                                    <div th:if="${jumlahFile == 0}" class="form-group">
                                        <button type="submit" class="btn btn-info" data-toggle="modal" data-target="#documentModal">Berkas Pendukung <i class="fa fa-plus-circle"></i></button>
                                    </div>
                                </div>
                                <div class="col-md-4 col-xs-12">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-secondary" data-toggle="modal" data-target="#totalDocument" th:text="${'Jumlah Berkas : ' + jumlahFile}"></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="alert alert-danger" th:if="${kurang != null}">
                        Jumlah nilai cicilan <text th:text="${'Rp. '+#numbers.formatDecimal(detail, 0, 'COMMA', 2, 'POINT')}"></text> dari jumlah tagihan!
                    </div>
                    <div class="alert alert-danger" th:if="${lebih != null}">
                        Jumlah nilai cicilan lebih <text th:text="${'Rp. '+#numbers.formatDecimal(detail, 0, 'COMMA', 2, 'POINT')}"></text> dari jumlah tagihan!
                    </div>

                    <!-- modal tambah dokumen -->

                    <div class="modal fade" id="documentModal" role="dialog">
                        <div class="modal-dialog modal-sm">
                            <div class="modal-content">
                                <form method="post" th:action="@{/studentBill/bill/document}" enctype="multipart/form-data">
                                    <input type="hidden" name="tagihan" th:value="${bill.id}">
                                    <h5>Maksimal ukuran file : <span style="color: red"> 10MB</span></h5>
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="row ">
                                            <div class="col-md-12 col-xs-12">
                                                <div class="form-group">
                                                    <label >Surat permohonan cicilan</label>
                                                    <input type="hidden" name="jenisDocument1" value="PERMOHONAN_CICILAN">
                                                    <input type="file" name="fileBerkas1" required class="form-control"
                                                           placeholder="Upload Berkas" autofocus>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row ">
                                            <div class="col-md-12 col-xs-12">
                                                <div class="form-group">
                                                    <label >Slip gaji atau keterangan penghasilan orang tua</label>
                                                    <input type="hidden" name="jenisDocument2" value="SLIP_GAJI">
                                                    <input type="file" name="fileBerkas2" required class="form-control"
                                                           placeholder="Upload Berkas" autofocus>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row ">
                                            <div class="col-md-12 col-xs-12">
                                                <div class="form-group">
                                                    <label >Surat tagihan listrik</label>
                                                    <input type="hidden" name="jenisDocument3" value="TAGIHAN_LISTRIK">
                                                    <input type="file" name="fileBerkas3" required class="form-control"
                                                           placeholder="Upload Berkas" autofocus>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row ">
                                            <div class="col-md-12 col-xs-12">
                                                <div class="form-group">
                                                    <label >Surat tagihan air</label>
                                                    <input type="hidden" name="jenisDocument4" value="TAGIHAN_AIR">
                                                    <input type="file" name="fileBerkas4" required class="form-control"
                                                           placeholder="Upload Berkas" autofocus>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row ">
                                            <div class="col-md-12 col-xs-12">
                                                <div class="form-group">
                                                    <label >Lainnya..</label>
                                                    <input type="hidden" name="jenisDocument5" value="LAINNYA">
                                                    <input type="file" name="fileBerkas5" class="form-control"
                                                           placeholder="Upload Berkas" autofocus>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <div class="row">
                                            <div class="col-md-6 col-xs-12">
                                                <button type="submit" class="btn btn-success">Save</button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <!-- modal detail dokumen -->

                    <div class="modal fade" id="totalDocument" role="dialog">
                        <div class="modal-dialog ">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                                </div>
                                <div class="modal-body">
                                    <div class="">
                                        <div class="basic-tb-hd">
                                            <div class="col-md-6">
                                                <h2>Daftar Berkas</h2>
                                            </div>
                                            <div th:if="${jumlahFile != 0}" class="col-md-6 text-right">
                                                <form method="post" th:action="@{/studentBill/dokumen/delete(tagihan = ${bill.id})}">
                                                    <div class="center ">
                                                        <button type="submit" class="btn btn-danger ">
                                                            <i class="fa fa-trash"></i> Hapus Berkas
                                                        </button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                        <br><br><br>
                                        <div class="bsc-tbl-st">
                                            <table class="table table-striped">
                                                <tr>
                                                    <th>No</th>
                                                    <th>Tipe</th>
                                                    <th>Berkas</th>
                                                </tr>
                                                <tr th:each="data, row : ${dokumen}">
                                                    <td th:text="${(row.index + 1)}"></td>
                                                    <td th:text="${data.jenisDocument}"></td>
                                                    <td>
                                                        <a target="_blank" th:href="@{/tagihan/{document}/cicilan(document = ${data.id})}">
                                                            <button type="submit" class="btn btn-success">
                                                                <i class="fa fa-file-image-o"></i>
                                                                <small>Lihat Berkas&nbsp;</small>
                                                            </button>
                                                        </a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <div class="row">

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div th:if="${message == null}" class="skill-content-3 ongoing-tsk">
                        <div class="normal-table-list">
                            <div class="basic-tb-hd">
                                <h2>List Permintaan Cicilan</h2>
                            </div>
                            <div class="bsc-tbl-st">
                                <form method="post" th:action="@{/studentBill/cicilan/ajukan}">
                                    <table class="table table-striped">
                                        <tr>
                                            <th>No</th>
                                            <th>Jumlah</th>
                                            <th>Jatuh Tempo</th>
                                            <th>Status</th>
                                        </tr>
                                        <tr th:each="data, row : ${listCicilan}">
                                            <td th:text="${(row.index + 1)}"></td>
                                            <td width="40%">
                                                <input id="jumlahCustom" type="text" th:name="${'nilaiCicilan-'+data.id+data.tanggalJatuhTempo}" class="form-control" th:value="${data.nilaiCicilan}">
                                            </td>
                                            <td th:text="${#temporals.format(data.tanggalJatuhTempo, 'dd - MMM - yyyy')}"></td>
                                            <td >
                                                <a  class="btn btn-primary btn-sm"
                                                    th:if="${data.statusCicilan.EDITED} == ${data.statusCicilan}"
                                                    th:text="${data.statusCicilan}">
                                                </a>
                                                <a  class="btn btn-info btn-sm"
                                                    th:if="${data.statusCicilan.CICILAN} == ${data.statusCicilan}"
                                                    th:text="${data.statusCicilan}">
                                                </a>
                                            </td>
                                        </tr>
                                    </table>
                                    <br>
                                    <div class="text-center">
                                        <input type="hidden" name="tagihan" th:value="${bill.id}">
                                        <input type="hidden" name="jumlah" th:value="${jumlah}">
                                        <div th:if="${custom != null}">
                                            <input type="hidden" name="interval" th:value="${interval}">
                                        </div>
                                        <div class="messageError"></div>
                                        <button type="submit" id="submit" class="btn btn-success">Apply <i size="50" class="fa fa-plus-circle"></i></button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <div th:if="${adaCicilan != null && message != null}" class="skill-content-3 ongoing-tsk">
                        <div class="normal-table-list">
                            <div class="basic-tb-hd">
                                <h2>List Permintaan Cicilan</h2>
                            </div>
                            <div class="bsc-tbl-st">
                                <table class="table table-striped">
                                    <tr>
                                        <th>No</th>
                                        <th>Jumlah</th>
                                        <th>Jatuh Tempo</th>
                                        <th>Status</th>
                                    </tr>
                                    <tr th:each="data, row : ${adaCicilan}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td width="40%" th:text="${'Rp. ' + #numbers.formatDecimal(data.nilaiCicilan, 0, 'POINT', 2, 'COMMA')}"></td>
                                        <td th:text="${#temporals.format(data.tanggalJatuhTempo, 'dd - MMM - yyyy')}"></td>
                                        <td >
                                            <a  class="btn btn-primary btn-sm"
                                                th:if="${data.statusCicilan.EDITED} == ${data.statusCicilan}"
                                                th:text="${data.statusCicilan}">
                                            </a>
                                            <a  class="btn btn-info btn-sm"
                                                th:if="${data.statusCicilan.CICILAN} == ${data.statusCicilan}"
                                                th:text="${data.statusCicilan}">
                                            </a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

</section>
</body>
</html>

<script>

    function format(input){
        if(input.value < 0) input.value=Math.abs(input.value);
        if(input.value.length > 2) input.value = input.value.slice(0, 2);
        $(input).blur(function() {
            // if(input.value.length == 1) input.value=0+input.value;
            // if(input.value.length == 0) input.value='01';
            //* if you want to allow insert only 2 digits *//
        });
    }

    $(document).ready(function (){

        $("#jumlahCustom").keyup(function (){
            var1s = $("#jumlahCustom").val();
            if(var1s.match(/^\d+$/)){
                $('.messageError').html('');
                $('#submit').show();
                sums();
            }else{
                $('.messageError').html('Hanya bisa memasukan angka!');
                $('#submit').hide();
            }
        });
        $('#tambah').click(function (){
            $('#submit').show();
            $('.messageError').html('');
            sums();
        });

        function sums(){
            varn = parseInt($("#nilai").val());
            var1 = parseInt($("#nilai1").val());
            var2 = parseInt($("#nilai2").val());
            console.log(varn, var1, var2);
            if(varn > var1){
                $('#submit').hide();
                $('.messageError').html('Jumlah melebihi sisa tagihan!');
            }else if(varn > var2){
                $('#submit').hide();
                $('.messageError').html('Jumlah melebihi sisa tagihan!');
            }else{
                $('#submit').show();
            }

        }

    });
</script>